1.1.0.930
--------------------------------
  * Для возможности работы после установки обновления KB5004442 уровень
    проверки подлинности повышен до RPC_C_AUTHN_LEVEL_PKT_INTEGRITY в
    вызове CoInitializeSecurity.

1.1.0.925
--------------------------------
  * Добавлена поддержка версии 22.
  * Изменен порядок работы с плагинами. Теперь работа с ними зависит от версии
    сервера приложений. Подробнее в разделе "Элемент Plugins" в Руководстве
    администратора.
  * Для подключения "WCF-соединение" не забирается лишняя лицензия.
  * Исправлена ошибка при обновлении вкладки "В работе".
  * Исправлена работа с назначенными для пользователя рабочей папкой и папкой 
    хранения файлов.

1.1.0.920
--------------------------------
  * Исправлена работа на терминальном сервере.
  * Исправлена ошибка добавления файла в случае, если в начале или в конце
    обозначения документа есть пробел.
  * Исправлено сохранение выделенного объекта в окне "Результаты поиска"
    при редактировании.

1.1.0.915
--------------------------------
  * Исправлено редактирование атрибутов связи в случае, если нет доступа
    к одному из объектов.
  * Исправлена работа с файлами для версии 9.

1.1.0.910
--------------------------------
  * Добавлена возможность подключения к серверу приложений версии 2018 без
    использования COM+, через Windows Communication Foundation. Для этого
    в диалоге "Настройка подключения" нужно выбрать вариант "WCF-соединение".
  * Добавлена возможность установки цветных меток для полученных заданий. Метки
    хранятся локально в профиле пользователя. Подробнее в разделе 
    "Элемент Workflow" в Руководстве администратора.
  * Исправлена вставка текста из некоторых приложений в отчет о выполнении 
    задания.

1.1.0.905
--------------------------------
  * Исправлена ошибка работы вкладки настройки меню и панелей инструментов.

1.1.0.900
--------------------------------
  * Диалог выбора объекта теперь позволяет несколько вариантов: найти объект 
    с помощью поиска, выбрать из избранного или из полного дерева проектов.
  * В диалоге "Задание выполнено" теперь можно прикрепить объекты к выполняемой
    стадии бизнес-процесса.

1.1.0.890
--------------------------------
  * В файл конфигурации добавлена опция для автоматического добавления вкладки
    "Контролируемые процессы".
  * На вкладке "Контролируемые процессы" теперь показывается столбец
    "Выполнить до", в котором указана дата до которой необходимо выполнить
    текущее задание бизнес-процесса.
  * Стало меньше мельканий при переключении вкладок.

1.1.0.885
--------------------------------
  * Исправлена ошибка с обновлением панели инструментов.

1.1.0.880
--------------------------------
  * В быстрый поиск добавлена история запросов.
  * В быстрый поиск добавлена возможность использования xml-шаблона поиска.
  * В диалог добавления связи между объектами добавлена команда
    "Использовать связь для объектов данного типа".
  * Добавлена поддержка простой электронной подписи для версий 2014 и старше.
  * Электронная подпись группы объектов.
  * При подписании документа подписывается каждый файл этого документа.
  * В файл конфигурации добавлен параметр "sysattr", управляющий отображением
    служебных атрибутов.

1.1.0.855
--------------------------------
  * На вкладках с заданиями и процессами теперь сохраняется установленный
    порядок сортировки.
  * Добавлен вывод всплывающей подсказки в случае, если на компьютере включен
    локальный кэш SMB 2.0. При включенном кэшировании будут возникать ошибки
    при работе с файлами на сетевом диске. Подробнее смотрите 
    http://uselwf.ru/smb2, а также
    "Особенности работы с файлами при использовании протокола SMB 2.0"
    (http://sd.ascon.ru/otrs/customer.pl?Action=CustomerFAQZoom;ItemID=562).

1.1.0.850
--------------------------------
  * Значительно переработаны просмотр и аннотирование вторичных представлений.
    Добавлена поддержка вторичного представления в формате PDF. Поддерживается
    работа с Adobe Reader X и Adobe Reader DC.
    Добавлена работа с SolidWorks eDrawings 2013. Теперь поддерживаются версии
    eDrawings 2007, 2010, 2012 и 2013.
    Также поддерживаются модули просмотра документов на базе IDocumentViewer,
    такие как PDFViewer.ocx, LoodsmanEDrawings.ocx и VrpIntegrator.ocx
    (подробнее см. LoodsmanClientApi.chm).
    Просмотр вторичного представления можно запускать в отдельном процессе,
    чтобы не мешали модальные окна LWF (параметр "svhost" в файле конфигурации).
  * Добавлена возможность создавать письма в бизнес-процессе Workflow. В окне
    "Переписка" появились команды "Новое письмо", "Ответить" и "Удалить".
  * В окно "Переписка" добавлен показ получателей письма.
  * В текстовом редакторе шрифт по умолчанию увеличен до 11 пт.
  * В диалогах "Задание выполнено" для версий 2011 и выше примечание пишется
    в виде простого текста, а не RTF, как раньше.
    Дело в том, что начиная с версии 2011 примечания в формате RTF работают
    неправильно. А с версии 2013 они не работают совсем.
  * В файл конфигурации добавлены параметры вызова интегратора при выполнении
    команды "Получить информацию". Подробнее в разделе "Элемент Loodsman" в 
    Руководстве администратора.
  * В файл конфигурации добавлен параметр "autohide" для управления видимостью
    недоступных пунктов меню плагинов. Подробнее в разделе "Элемент Mainform"
    в Руководстве администратора.
  * При выборе команды "Вид - Вкладки - Настроить..." теперь для удобства 
    настройки загружаются все вкладки.
  * Диалог "Настройка меню" теперь на русском языке.
  * Файлы документа в области файлов теперь сортируются по имени.
  * Улучшена обработка ссылок вида "ask:Loodsman.URL?Action=...".
  * Исправлена ошибка с появлением пустых строк в шаблонах писем.
  * Исправлена ошибка при показе дат в схеме бизнес-процесса.
  * Исправлена ошибка "Нет текущей базы данных".
  * Исправлена ошибка со скрытием недоступных меню. Иногда скрытые меню не
    показывались вновь.

1.1.0.700
--------------------------------
  * Добавлена обработка виртуальных папок как в версии 2014. Так как 
    документации на данный момент нет, то поддерживается только часть 
    возможностей.
  * Добавлена обработка ссылок вида "ask:Loodsman.URL?Action=...". Включить
    можно в диалоге "Параметры".
  * Теперь управлять параметрами "Открывать ссылки на объекты ЛОЦМАН:PLM" и
    "Открывать гиперссылки на объекты ЛОЦМАН:PLM" можно с помощью настроек в 
    файле конфигурации. Подробнее в разделе "Элемент Mainform" в Руководстве 
    администратора.
  * Добавлены команды "Копировать ссылку" и "Копировать гиперссылку" в меню
    "Инструменты".
  * В строку поиска на панели инструметов теперь можно вписать или вставить из
    буфера обмена гиперссылку. Она будет передана обработчику гиперссылок.
  * Добавлена возможность движения по бизнес-процессу на стороне клиента и 
    выполнения скриптов автоопераций с помощью библиотеки
    WorkflowBusinessLogic.dll. Библиотека входит в состав Лоцмана с версии 2013,
    она предназначена для управления процессами, использующими диалоговые окна.
    По умолчанию эта возможность выключена. Включить можно в файле конфигурации,
    подробнее в разделе "Элемент Workflow" в Руководстве администратора.
  * Изменено поведение вкладок, работающих с несколькими базами данных, таких
    как "Полученные задания". Теперь при ошибке одной из баз данных будет
    показано сообщение об ошибке, но загрузка объектов из остальных баз данных
    будет продолжена.
  * Команда "Найденные объекты и процессы" переименована в "Объекты и процессы".
    Также для нее добавлена горячая клавиша F12.
  * В списках найденных объектов и процессов в контекстное меню добавлены пункты
    "Удалить из списка".
  * В списках найденных объектов и процессов теперь пишется больше информации.
  * Исправлена работа карточек объектов. Иногда карточки, в именах которых есть
    цифры, могли не показываться.
  * Исправлено редактирование атрибутов связи в карточке объекта. Ранее атрибут
    не всегда правильно определялся как атрибут связи.
  * Некоторые подключаемые модули могут возвращать пустые значения для имени
    меню. При этом собственное меню приложения портится. Теперь такие пункты
    меню игнорируются.
  * Увеличено максимальное количество пунктов меню, которое может создать 
    подключаемый модуль (со 100 до 1000). Ограничение было введено для 
    выявления неправильно работающих функций (когда в плагине функция 
    InitUserDLLCom объявлена без stdcall).
  * Добавлен вывод сообщения об ошибке при неудачном вызове ShellExecute для 
    открытия файла.
  * Для версии 2014 исправлен запуск дизайнера бизнес-процессов (добавлено 
    ожидание появления основного окна, так как сначала показывается заставка).
  * Исправлена функциональность поиска пути к объекту в дереве.
  * Исправлена ошибка "Access violation" в диалоге назначения прав при работе
    с версией 2014.
  * Компоненты Virtual Treeview обновлены до версии 5.5.3.

1.1.0.625
--------------------------------

  * Добавлена поддержка электронной подписи. Электронная подпись сделана таким
    же образом, как это сделано в ЛОЦМАН:PLM.
    В зависимости от версии сервера приложений выбирается один из двух вариантов
    электронной подписи - как в версиях 8.5-2013 или как в версии 2014.
    При использовании электронной подписи в ЛОЦМАН:PLM версий 8.5-2013 следует
    учесть, что она сделана не совсем правильно. Например, не проверяется 
    цепочка доверия для сертификатов, поэтому правильность подписи можно 
    проверить только вручную, сверяя отпечаток сертификата с известным заранее.
    Кроме того, подпись файла нельзя сохранить отдельно и передать третьей 
    стороне для проверки подлинности файла.
    Подробнее в разделе "Электронная подпись" в Руководстве администратора.
  * Изменено поведение команд "Вернуть" и "Отказаться" на вкладке "В работе".
    Раньше эти команды были активны только для рабочего проекта, что вызывало
    путаницу, так как во вкладке базы данных они работают для объектов. Сейчас
    команды активны и для рабочего проекта, и для объектов.
  * Для взятия объекта в работу можно использовать сочетание клавиш Ctrl+W.
  * В модель добавлен флаг AllowEmptyFilePath (внутреннее изменение).

1.1.0.595
--------------------------------
  * Исправлена ошибка загрузки плагина в случае, если в файле Loodsman.ini 
    указан полный путь к файлу.
  * Исправлена настройка контекстного меню для вкладок.

1.1.0.590
--------------------------------
  * В список связанных объектов добавлены новые связи "Прикреплено к процессу" и
    "Прикреплено к заданию". При их выборе показываются объекты, прикрепленные к
    бизнес-процессу и заданию соответственно. Связи доступны при выборе в
    любой вкладке бизнес-процесса или задания. При выборе этих связей в 
    контекстном меню доступны команды "Прикрепить..." и "Удалить из списка"
    для редактирования списка прикрепленных объектов. Прикрепленные к заданию
    и процессу объекты также показываются в списке "Все связанные объекты".
    Показ Новых связей "Прикреплено к процессу" и "Прикреплено к заданию" можно
    запретить в файле конфигурации, указав значение attachdocs="0".
    Подробности в Руководстве администратора.
  * В список связанных объектов добавлен новый столбец со значком типа связи,
    уточняющим, какой именно связью данный объект привязан к выбранному во
    вкладке объекту или процессу. Для объектов, прикрепленных к заданию или 
    процессу, значок не показывается.
  * В диалоге свойств объекта на закладке "Атрибуты" теперь можно редактировать
    атрибуты объекта с помощью карточки.
  * Для автоматического отключения от сервера приложений можно задать время 
    простоя в файле конфигурации (или можно запретить автоматическое 
    отключение). Подробности в Руководстве администратора.
  * Улучшено рисование схем бизнес-процессов.
  * Улучшена работа фильтра заданий.
  * Контекстное меню во вкладках теперь показывается значительно быстрее 
    (небольшая задержка есть только перед первым показом меню).
  * В списке инициированных процессов теперь не показываются процессы, не 
    принадлежащие пользователю (ранее показывались родительские процессы для
    инициированных пользователем подпроцессов).
  * Для типового подпроцесса у задания команды "Старт", "Остановить", "Удалить",
    "Переписка" и "Состояние работ" теперь неактивны.
  * Исправлена ошибка "Access violation" при открытии в дизайнере
    бизнес-процесса без основного объекта.
  * Возвращен обратно вызов WFConnectToDb для версий сервера без отдельной базы
    Workflow. Без него данные об объектах внутри автоопераций не всегда 
    получались правильные. Выяснить, почему Workflow иногда работает правильно,
    а иногда нет, не удалось.
  * Исправлена ошибка "Неизвестное имя" при работе с сервером приложений
    Workflow версии 8.5.
  * Исправлено назначение прав доступа для Лоцман версии 8.5 без отчета
    rep_GetTypeStateAccess.

1.1.0.550
--------------------------------
  * В поток приема соединений от сервера Workflow добавлена поддержка функции
    MsgBox.
  * Добавлена команда "Удалить временные файлы". Ее можно вынести в меню с 
    помощью "Вид - Вкладки - Настроить..." из категории "Инструменты".
  * Убран лишний вызов WFConnectToDb для версий сервера без отдельной базы
    Workflow.
  * Исправлена ошибка при работе с локальным рабочим диском, приводящая к 
    зависанию приложения при закрытии.
  * Исправлена ошибка в библиотеке LUStub.dll.
  * Исправлено поведение приложения при ошибке подключения к базе данных.
    В этом случае сервер приложений остается в неопределенном состоянии и 
    требуется повторный вызов ConnectToDB для текущего подключения.

1.1.0.530
--------------------------------
  * Добавлено автоматическое отключение от сервера приложений при простое
    более 15 минут. Это сделано для экономии лицензий. Для пользователя это
    полностью прозрачно - подключение к нужной БД и рабочему проекту будет
    восстановлено автоматически, когда в этом возникнет необходимость.
  * В настройках подключения для socket-соединения теперь можно указывать
    имя сервера, а не только IP-адрес. Учтите, что стандартный клиент понимает
    только IP-адрес, и при указании имени сервера работать не будет (ошибка
    "Windows socket error: Требуемый адрес для своего контекста неверен").
  * Исправлена ошибка "Access violation" при назначении прав доступа для
    объекта.
  * Теперь Release собирается с опцией "Assertions" для более точной
    диагностики ошибок.

1.1.0.520
--------------------------------
  * В диалог "Формирование отчета" добавлено контекстное меню, которое 
    позволяет сохранить результаты запроса в файл в формате CSV в кодировке
    ANSI или UTF-8. Также результаты запроса можно скопировать в буфер обмена.
  * В диалог "Формирование отчета" добавлена поддержка отчетов в OpenOffice.
    Приложение пытается запустить макрос StartMacrosLOODSMAN в модуле LOODSMAN
    в библиотеке Standard. Параметры макроса те же, что и для отчетов
    Microsoft Office. Учтите, что требуется существенная переработка макроса
    StartMacrosLOODSMAN, так как StarBasic в OpenOffice значительно отличается 
    от VB в Microsoft Office.
  * Изменен способ вставки изображений в RTF-редакторе. Теперь изображения
    добавляются через буфер обмена, как в стандартном клиенте.
  * Компоненты Virtual Treeview обновлены до версии 5.1.3.

1.1.0.510
--------------------------------
  * Исправлена загрузка значков типов и состояний при использовании БД Oracle.
    Сервер приложений в этом случае возвращает данные в виде varOleStr вместо
    массива varByte, который возвращается в случае с SQL Server. Причем
    varOleStr используется не как массив байтов (что предусмотрено в 
    спецификации - SysAllocStringByteLen), а как юникод, при переводе которого
    в кодовую страницу CP_ACP сервера (обычно CP1251) получатся байты
    изображения. Для разных кодовых страниц на сервере и клиенте этот метод, 
    очевидно, работать не будет.
  * Исправлена загрузка атрибутов типа "Текст" и "Изображение" при использовании
    БД Oracle. Как и в предыдущем случае, сервер приложений возвращает данные в 
    необычном формате.
  * Исправлена ошибка "ORA-01403: no data found" при вызове функции GetVariable
    для несуществующей переменной.
  * В RunMethod клиента добавлена функция CGetTreeSelectedIDs.

1.1.0.495
--------------------------------
  * Исправлена ошибка при выполнении команды "Обновить все".
  * Исправлены заголовки в диалогах "Формирование отчета" и
    "Создание процесса по объекту".
  * Исправлена высота списка уровней доступа в диалоге
    "Назначение разрешений".
  * Исправлена загрузка значков типов и состояний в случае, когда используются
    нестандартные значки.

1.1.0.490
--------------------------------
  * Исправлена передача сообщения об ошибке при вызове метода сервера
    приложений из плагина с PAS-интерфейсом. Раньше вместо сообщения
    об ошибке выводилось "Разрушительный сбой".
  * Исправлена ошибка "Неправильное количество аргументов" при передаче 
    плагином в RunMethod параметров inReturnCode и stErrorMessage.
    Так как некоторые плагины (например, "Извещения") в некоторых случаях
    передают совсем произвольное количество аргументов, в клиент была 
    добавлена информация о количестве аргументов у функций сервера и изменено
    поведение RunMethod-а. Теперь ошибка возникает только в том случае, если
    плагин передает меньше аргументов, чем требуется. Если передается больше
    аргументов, то лишние игнорируются.
  * Исправлена ошибка "Ошибка приведения типов" при работе с плагином
    "Извещения". Из плагина вызывалась функция FindObjects со значением
    Null в одном из параметров. Сейчас при вызове FindObjects вместо Null
    подставляется пустая строка.
  * Исправлена ошибка "Invalid variant type" при работе с плагином
    "Извещения". Из плагина вызывалась функция NewVersionEx с такими размерами
    двумерного массива (0x4), которые VarClear (из RTL) не может правильно 
    обработать. Такой массив очищается средствами операционной системы.
  * Исправлена ошибка "Runtime error 217" при выгрузке подключаемых модулей,
    собранных в Delphi с модулем HTMLHelpViewer, из-за ошибка в нем (QC102083).
    Ошибка связана с загрузкой HHCTRL.OCX из секции finalization модуля.
  * Исправлена ошибка с сохранением паролей в диалоге "Настройка подключения".
  * Исправлена ошибка с попыткой подключения к базе данных, отмеченной в списке
    баз данных как "Недоступная база".
  * В RunMethod клиента добавлены функции IntegratorCreateDoc,
    IntegratorOpenDoc и IntegratorReadDoc.
  * В файл конфигурации добавлен параметр execserver для настройки запуска
    потока приема соединений от сервера приложений Workflow. Возможные
    значения: 0 - не запускать; 1 - попытаться; 2 - запуск обязателен.
    По умолчанию используется значение 1 - попытаться. Подробнее в разделе
    "Файл конфигурации" в Руководстве администратора.
  * Добавлена возможность записи всех обращений к серверу приложений в файл.
    Для этого нужно запустить приложение с ключом /L. Файл LWF_FuncCall.log
    создается во временной папке текущего пользователя. Учтите, что если
    используется аутентификация средствами SQL-сервера, то в файл попадут
    имена пользователей и пароли для подключения к базам данных, как параметры
    вызовов ConnectToDBEx.
  * Компоненты Virtual Treeview обновлены до версии 5.1.1.

1.1.0.450
--------------------------------
Первая версия на новом сайте.
